Integrations
List of integrations
Query parameters
offsetintegerOptional
Pagination offset
limitinteger · min: 1 · max: 100Optional
Pagination limit
orderBystringOptionalExample:
Order the results by this field, in this direction
createdAt:descPattern: ^[a-zA-Z0-9\_]+(:(asc|desc))?$Responses
200
OK
application/json
get
/integrations200
OK
Get the integration for the organisation
Path parameters
integrationIdstring · uuidRequired
Responses
200
OK
application/json
Integration model response
idstring · uuidRead-onlyOptional
typestring · enumOptionalPossible values:
Integration type
integrationTokenstringRead-onlyOptional
Integration token
settingsone ofRead-onlyOptional
Integration settings
or
createdByTypestring · nullableRead-onlyOptional
createdByIdstring · nullableRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
get
/integrations/{integrationId}200
OK
Update the integration for the organisation
Path parameters
integrationIdstring · uuidRequired
Body
or
Responses
200
OK
application/json
Integration model response
idstring · uuidRead-onlyOptional
typestring · enumOptionalPossible values:
Integration type
integrationTokenstringRead-onlyOptional
Integration token
settingsone ofRead-onlyOptional
Integration settings
or
createdByTypestring · nullableRead-onlyOptional
createdByIdstring · nullableRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
patch
/integrations/{integrationId}200
OK
Last updated